xulrunner dependency is overkill - only spidermonkey is needed

Bug #421422 reported by Bluescreen on 2009-08-30
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
desktopcouch
Wishlist
Unassigned
Baltix
Undecided
Unassigned
couchdb (Ubuntu)
Undecided
Chris Coulson
xulrunner-2.0 (Ubuntu)
Wishlist
Chris Coulson

Bug Description

Binary package hint: couchdb

The current couchdb package works great for me on my workstation.
I wanted to install it to a server(ec2) and found the xulrunner dependency is pulling in lots of desktop-related packages.
It seems couchdb only needs spidermonkey (which -on ubuntu- isn't available outside of xulrunner).

This means that currently, gtk2, alsa, fontconfig, avahi, cairo, cups, defoma, png/jpg/tiff and a bunch of X11 libs are being pulled in just to install couchdb.

It would be very helpful if spidermonkey can be split out of xulrunner, to keep servers a bit more "clean"

Thanks

Related branches

Bluescreen (bluescreen303) wrote :

I created a fake xulrunner deb to work around the issue.
It includes just libmozjs.so (the file couchdb is after) and a fake xulrunner binary that just returns the version number (needed by couchdb startup script)
Also, I removed all dependencies except for libnspr4-0d

Couch runs fine with this hack.

Elliot Murphy (statik) on 2009-09-01
Changed in couchdb (Ubuntu):
status: New → Confirmed
assignee: nobody → Chad Miller (cmiller)
Elliot Murphy (statik) wrote :

Hi Alexander, what do you think is it possible to split up xulrunner so that we can get spidermonkey library for couchdb without pulling in all kinds of desktop packages? The current situation with couchdb which has been switched from libmozjs to xulrunner is that it can't be installed on the server without dragging in X related packages.

affects: couchdb (Ubuntu) → xulrunner-1.9.1 (Ubuntu)
Changed in xulrunner-1.9.1 (Ubuntu):
assignee: Chad Miller (cmiller) → Alexander Sack (asac)
Elliot Murphy (statik) wrote :

ps alexander chad or I can work on this but I wanted to get your guidance before trying to work on it.

On Tue, Sep 01, 2009 at 02:32:13AM -0000, Elliot Murphy wrote:
> ps alexander chad or I can work on this but I wanted to get your
> guidance before trying to work on it.
>

I work on a real libmozjs-stable package with upstream. Problem is
that this has to come with a upstream abi/api policy. So there is
nothing that can be done atm - hopefully this will be done during
karmic+1.

 - Alexander

Alexander Sack (asac) on 2009-09-03
Changed in xulrunner-1.9.1 (Ubuntu):
importance: Undecided → Wishlist
Changed in desktopcouch:
importance: Undecided → Wishlist
status: New → Triaged
tags: added: desktop+
Chad Miller (cmiller) on 2009-10-02
Changed in couchdb (Ubuntu):
assignee: nobody → Chad Miller (cmiller)
Alexander Sack (asac) wrote :

On Fri, Oct 02, 2009 at 10:58:40AM -0000, Chad Miller wrote:
> ** Changed in: couchdb (Ubuntu)
> Assignee: (unassigned) => Chad Miller (cmiller)

what are your plans for couchdb on this?

 - Alexander

Louis Opter (kalessin) wrote :

This is *insane*.

Do you plan to do a kcouchdb release which embed KDE ?

Didn't it cross your mind ?

Louis Opter (kalessin) wrote :

Oh by the way, I also suggest a dependency on pulseaudio and Open Office.

Pleaaase.

Roman Yepishev (rye) wrote :

CouchDB requires JavaScript interpreter for map/reduce functions and cannot function without it, therefore the dependency.

Louis Opter (kalessin) wrote :

I beg your pardon, but since when cupshit, alsafiles, gtk, avahi and the whole fucking stack are a javascript interpreter ?

Joshua Timberman (jtimberman) wrote :

I agree with Louis here. Why does couchdb in ubuntu continue to use xulrunner, when debian's couchdb (v0.10.1-2 in sid) uses libmozjs2d?

What prevents Ubuntu from using libmozjs2d instead of xulrunner in lucid?

Ben Atkin (ben-benatkin) wrote :

I got bitten by this one, too.

Tobias Bradtke (webwurst) wrote :

Was quite confused seeing the to be installed packeges on ubuntu-server for couchdb..

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package couchdb - 1.0.1-0ubuntu4

---------------
couchdb (1.0.1-0ubuntu4) natty; urgency=low

  * Fix LP: #421422 - Update dependencies to not pull in the entire
    Gecko runtime (+ GTK and X etc). Depend on only the package providing
    Spidermonkey. Update launcher scripts to not use the xulrunner binary to
    discover the Spidermonkey install location, as it's not available now. The
    new method is actually faster, because it doesn't block on starting XPCOM
    - update debian/rules
    - update debian/control
    - update debian/patches/mozjs1.9_ldlibpath.patch
  * Update for Spidermonkey 2.0 API changes
    - add debian/patches/mozjs2.0.patch
    - add debian/patches/mozjs2.0_autotools.patch
  * Handle beta versions of xulrunner when generating the binary depends
    for couchdb-bin
    - update debian/rules
 -- Chris Coulson <email address hidden> Thu, 25 Nov 2010 02:46:22 +0000

Changed in couchdb (Ubuntu):
status: New → Fix Released
Changed in couchdb (Ubuntu):
assignee: Chad Miller (cmiller) → Chris Coulson (chrisccoulson)
Changed in xulrunner-1.9.1 (Ubuntu):
assignee: Alexander Sack (asac) → Chris Coulson (chrisccoulson)
affects: xulrunner-1.9.1 (Ubuntu) → xulrunner-2.0 (Ubuntu)
Changed in xulrunner-2.0 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers